<h3>Your flights</h3>
<button (click)="redirect('/userPanel')">Back</button><br>
<div *ngFor="let x of userFlights">
  <div class="card" style="width: 40rem;">
    <div class="card-body">
      <h5 class="card-title">Booking ID [{{x.BookingID}}] for {{x.Name}}</h5>
      <table class="mat-elevation-z8">
            <tr>
              <td>Cost</td>
              <td>Php. {{x.Price}}</td>
            </tr>
            <tr>
              <td>Booked on</td>
              <td>{{x.BookDate}}</td>
            </tr>
        <tr>
          <td>Flight</td>
          <td>{{x.Airline}} | {{x.FlightCode}}</td>
        </tr>
        <tr>
          <td>Route</td>
          <td>{{x.Origin}} - {{x.Destination}}</td>
        </tr>
        <tr>
          <td>Departs</td>
          <td>{{x.ETD_date}}</td>
        </tr>
        <tr>
          <td>Arrives</td>
          <td>{{x.ETA_date}}</td>
        </tr>
      </table>
    </div>
  </div>
</div>
